## wine 6.0.2~repack

=== debian/changelog ===
wine (6.0.2~repack-3) unstable; urgency=medium

  * Remove nls files from the libwine package (closes: #1006539).
  * Build for armv6t2 on armel (new minimum ARM architecture required by wine).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 27 Feb 2022 21:18:36 +0000

wine (6.0.2~repack-2) unstable; urgency=medium

  * Fix font installation error.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 27 Feb 2022 03:09:33 +0000

wine (6.0.2~repack-1) unstable; urgency=medium

  * New upstream release 6.0.2, released Oct 26, 2021 (closes: #995305).
    - Compilation fixes: freetype, gcc 11 (closes: #984402).
    - Various bug fixes.
  * Support building with openldap 2.5 (closes: #1006016).
  * Support building with unicode-data 14 (closes: #995580).
  * Avoid deleting files outside of package source directory (closes: #991822).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 26 Feb 2022 18:43:01 +0000

wine-development (6.0+repack-4) unstable; urgency=medium

  * Support building with vulkan 1.3.
  * Exclude libwine postinst on non-x86 architectures (closes: #991384).

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 18 Feb 2022 18:41:06 +0000

wine-development (6.0+repack-3) unstable; urgency=medium

  * Define VK_NULL_HANDLE as a uint64_t.
  * Ignore array-bounds and packed-not-aligned warnings.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 07 Feb 2022 02:14:56 +0000

wine-development (6.0+repack-2) unstable; urgency=medium

  * Support building with gcc 11.
  * Support building with unicode-data 14 (closes: #999753).
  * Avoid deleting files outside of package source directory (closes: #991823).
    - Thanks to Bálint Réczey.

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 04 Feb 2022 13:24:54 +0000

wine-development (6.0+repack-1) unstable; urgency=medium

  * New upstream release 6.0, released Jan 14, 2021.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 26 Jun 2021 20:42:56 +0000

wine-development (5.22+repack-2) unstable; urgency=medium

  * Fix some lintian warnings.
  * Remove libwine.so symlink from the libwine package (closes: #989320).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 26 Jun 2021 02:27:31 +0000

wine-development (5.22+repack-1) unstable; urgency=medium

  * New upstream release 5.22, released Nov 20, 2020.
    - C runtime libraries converted to PE.
    - Use fontconfig cache for faster startup.
    - Video playback improvements.
    - 3DES cipher support.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 30 May 2021 08:59:23 +0000

wine-development (5.21+repack-1) unstable; urgency=medium

  * New upstream release 5.21, released Nov 6, 2020.
    - 64-bit syscall thunks implemented (closes: #917307).
    - GDI32 library converted to PE.
    - More fixes for windowless RichEdit.
    - A number of timezone updates.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 29 May 2021 22:08:13 +0000

wine-development (5.20+repack-1) unstable; urgency=medium

  * New upstream release 5.20, released Oct 23, 2020.
    - More work on the DSS cryptographic provider.
    - A number of fixes for windowless RichEdit.
    - Support for FLS callbacks.
    - Window resizing in the new console host.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 29 May 2021 18:12:12 +0000

wine-development (5.19+repack-1) unstable; urgency=medium

  * New upstream release 5.19, released Oct 9, 2020.
    - KERNEL32 library converted to PE.
    - DSS cryptographic provider.
    - Windowing support in the new console host.
    - A number of exception handling fixes.
    - Various bug fixes.
  * Add +repack to the upstream version.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 29 May 2021 05:23:24 +0000

wine-development (5.18-1) unstable; urgency=medium

  * New upstream release 5.18, released Sep 25, 2020.
    - USER32 library converted to PE.
    - Console no longer requires the curses library.
    - Support for display modes with various orientations.
    - A number of syntax fixes in the WIDL compiler.
    - Non-recursive makefiles.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 23 May 2021 20:22:09 +0000

wine-development (5.17-1) unstable; urgency=medium

  * New upstream release 5.17, released Sep 11, 2020.
    - ADVAPI32 library converted to PE.
    - Beginnings of an NDIS network driver.
    - Still more restructuration of the console support.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 22 May 2021 01:07:01 +0000

wine-development (5.16-1) unstable; urgency=medium

  * New upstream release 5.16, released Aug 28, 2020.
    - Support for x86 AVX registers.
    - Still more restructuration of the console support.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 21 May 2021 00:03:51 +0000

wine-development (5.15-1) unstable; urgency=medium

  * New upstream release 5.15, released Aug 14, 2020.
    - Initial implementation of the XACT Engine libraries.
    - Beginnings of a math library in MSVCRT based on Musl.
    - Still more restructuration of the console support.
    - Direct Input performance improvements.
    - Exception handling fixes on x86-64.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 19 May 2021 23:56:14 +0000

wine-development (5.14-1) unstable; urgency=medium

  * New upstream release 5.14, released Aug 1, 2020.
    - More restructuration of the console support.
    - Initial version of the Webdings font.
    - Beginnings of PE conversion of the MSVCRT libraries.
    - Various bug fixes.
  * Fix shift overflow warning on armhf.

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 19 May 2021 01:54:29 +0000

wine-development (5.13-1) unstable; urgency=medium

  * New upstream release 5.13, released Jul 17, 2020.
    - Re-mapping of INI files to the registry.
    - System call thunks in NTDLL.
    - Reimplementation of floating point numbers printing.

