=== debian/control ===
--- 
+++ 
@@ -105,11 +105,9 @@
  exe-thumbnailer | kio-extras,
 Breaks:
  libwine (<< 5.5-6),
- libwine (= 6.0.2~repack-2),
  wine-stable (<< 3.0.1ubuntu1~),
 Replaces:
  libwine (<< 5.5-6),
- libwine (= 6.0.2~repack-2),
  wine-stable (<< 3.0.1ubuntu1~),
 Provides:
  wine,
@@ -246,10 +244,12 @@
 Pre-Depends:
  ${misc:Pre-Depends},
 Breaks:
+ wine (= 6.0.2~repack-3),
  wine (<< 4.7-2~),
  wine32 (<< 4.7-2~),
  wine64 (<< 4.7-2~),
 Replaces:
+ wine (= 6.0.2~repack-3),
  wine (<< 4.7-2~),
  wine32 (<< 4.7-2~),
  wine64 (<< 4.7-2~),
