## wine 7.0~repack

=== debian/changelog ===
wine (7.0~repack-10~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Phil Morrell <emorrp1@debian.org>  Wed, 12 Oct 2022 10:25:38 +0100

wine (7.0~repack-10) unstable; urgency=medium

  [ Phil Morrell ]
  * Depend on libxml-libxml-perl.
  * Add README.source to explain the layout.

  [ Michael Gilbert ]
  * Ignore debian-news-entry-has-unknown-version lintian warning.
    - The NEWS file is correct for the different wine packages.

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 12 Oct 2022 00:18:28 +0000

wine (7.0~repack-9) unstable; urgency=medium

  * Fix various lintian warnings.
  * Drop unnecessary dpkg version constraint.
  * Indicate vulkan >= 1.2.189.0 is required.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 09 Oct 2022 07:01:14 +0000

wine (7.0~repack-8) unstable; urgency=medium

  * Fix lintian warning.
  * Restore netapi32.dll (closes: #1019943).
  * Support building with unicode-data 15 (closes: #1020013).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 24 Sep 2022 17:29:03 +0000

wine (7.0~repack-7) unstable; urgency=medium

  * Update standards version to 4.6.1.
  * Fix remaining build failures on arm.

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 13 Sep 2022 00:46:21 +0000

wine (7.0~repack-6) unstable; urgency=medium

  * Fix arm build failures.
  * Fix various lintian warnings.
  * Remove clang from debian/rules.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 11 Sep 2022 23:27:19 +0000

wine (7.0~repack-5) unstable; urgency=medium

  * Build with gcc instead of clang on arm64.
  * Disable link time optimization (closes: #1015705).
  * Add multiarch:same to the dev package (closes: #1015239).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 11 Sep 2022 17:20:52 +0000

wine (7.0~repack-4) unstable; urgency=medium

  * Fix syntax error in configure.ac.
  * Support installing wine-binfmt without binfmt-support.
  * Restore mistakenly removed binfmt-support file (closes: #1014323).

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 06 Jul 2022 00:44:32 +0000

wine (7.0~repack-3) unstable; urgency=medium

  * Fix dangling symlinks (closes: #1012827).
  * Support building with gcc 12 (closes: #1013067).

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 04 Jul 2022 00:34:31 +0000

wine (7.0~repack-2) unstable; urgency=medium

  * Fix format string error on armhf.
  * Denote wine32:i386 in launcher (closes: #1011461).
  * Add support for systemd-binfmt (closes: #1012353).
    - Thanks to Michael Biebl.
  * Avoid infinite recursion in make_vulkan (closes: #1013501).
    - Thanks to Adrian Heine.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 03 Jul 2022 18:24:37 +0000

wine (7.0~repack-1) unstable; urgency=medium

  * New upstream release 7.0, released Jan 18, 2022 (closes: #1007913).
    - Fix crash during resolution change in a few games (closes: #1002023).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 05 Jun 2022 21:54:23 +0000

wine-development (6.23~repack-4) unstable; urgency=medium

  * Ignore unused function warnings on arm.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 23 May 2022 22:46:02 +0000

wine-development (6.23~repack-3) unstable; urgency=medium

  * Fix incorrect winedbg format strings on arm.
  * Ignore warnings when building embedded libraries.
  * Build for armv7-a on armel (new minimum ARM architecture required by wine).

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 23 May 2022 01:17:00 +0000

wine-development (6.23~repack-2) unstable; urgency=medium

  * Correct shift-overflow flag for clang on arm64.
  * Add libusb-1.0-0-dev to the build dependencies.
  * Build with system zlib PE only on i386 and amd64.
  * Fix installation paths for fonts and nls files (closes: #1010269).

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 05 May 2022 18:09:14 +0000

wine-development (6.23~repack-1) unstable; urgency=medium

  * New upstream release 6.23, released Dec 3, 2021.
    - Mount manager and CoreAudio driver converted to PE.
    - Support for exception handling in Wow64 mode.
    - Optional support for using the distribution's PE libraries.
    - A number of UI improvements in WineDbg.
    - Various bug fixes.
  * Fix wine64 preloader symlink (closes: #1009940).

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 25 Apr 2022 01:03:00 +0000

wine-development (6.22~repack-1) unstable; urgency=medium

  * New upstream release 6.22, released Nov 19, 2021.
    - Exception unwinding on ARM.
    - More improvements to HID joystick support.
    - WoW64 thunks in a number of Unix libraries.
    - Beginnings of moving USER32 to Win32u.
    - Various bug fixes.
  * Fix incorrect format strings on armhf.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 17 Apr 2022 05:28:05 +0000

wine-development (6.21~repack-1) unstable; urgency=medium

  * New upstream release 6.21, released Nov 5, 2021.
    - WinSpool, GPhoto, and a few other modules converted to PE.
    - Better support for inline functions in DbgHelp.
    - Beginnings of a MSDASQL implementation.
    - Various bug fixes.
  * Fix installation of wine64-preloader.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 10 Apr 2022 06:22:40 +0000

wine-development (6.20~repack-1) unstable; urgency=medium

  * New upstream release 6.20, released Oct 22, 2021.
    - MSXml, XAudio, DInput and a few other modules converted to PE.
    - A few system libraries are bundled with the source to support PE builds.
    - HID joystick is now the only supported joystick backend in DirectInput.
    - Better support for MSVCRT builds in Winelib.
    - Various bug fixes.
  * Append .static to the statically linked preloader binaries.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 09 Apr 2022 16:28:27 +0000

wine-development (6.19~repack-2) unstable; urgency=medium

  * Fix uninitialized variable warnings.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 04 Apr 2022 03:10:09 +0000

wine-development (6.19~repack-1) unstable; urgency=medium

  * New upstream release 6.19, released Oct 8, 2021.

