=== debian/control ===
--- 
+++ 
@@ -6,14 +6,13 @@
 Uploaders:
  Michael Gilbert <mgilbert@debian.org>,
  Stephen Kitt <skitt@debian.org>,
- Jens Reyer <jre.winesim@gmail.com>,
+ Phil Morrell <emorrp1@debian.org>,
 Vcs-Git: https://salsa.debian.org/wine-team/wine.git
 Vcs-Browser: https://salsa.debian.org/wine-team/wine
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
- clang [arm64],
  gcc-mingw-w64-i686 [i386],
  gcc-mingw-w64-x86-64 [amd64],
  libz-mingw-w64-dev,
@@ -31,8 +30,9 @@
  librsvg2-bin,
  fontforge-nox,
  khronos-api (>= 4.6),
- unicode-data (>= 14),
- unicode-data (<< 15),
+ unicode-data (>= 15),
+ unicode-data (<< 16),
+ libgl-dev,
  libxi-dev,
  libxt-dev,
  libxmu-dev,
@@ -46,11 +46,10 @@
  libxxf86vm-dev,
  libxxf86dga-dev,
  libxinerama-dev,
- libgl1-mesa-dev,
  libglu1-mesa-dev,
  libxcomposite-dev,
- libxml-simple-perl,
- libxml-parser-perl,
+ libxml-libxml-perl,
+ libjxr-dev,
  libpng-dev,
  libssl-dev,
  libv4l-dev,
@@ -67,9 +66,9 @@
  libxslt1-dev,
  unixodbc-dev,
  libcups2-dev,
- libvkd3d-dev,
+ libvkd3d-dev (>= 1.2),
  libcapi20-dev,
- libvulkan-dev,
+ libvulkan-dev (>= 1.2.189.0),
  libfaudio-dev (>= 19.06.07),
  libopenal-dev,
  libdbus-1-dev,
@@ -80,11 +79,12 @@
  libgphoto2-dev,
  libosmesa6-dev,
  libpcap0.8-dev,
+ libncurses-dev,
+ libfreetype-dev,
  libgnutls28-dev,
- libncurses5-dev,
+ libusb-1.0-0-dev,
  libgettextpo-dev,
- libfreetype6-dev (>= 2.6.2),
- libfontconfig1-dev,
+ libfontconfig-dev,
  ocl-icd-opencl-dev,
  libgstreamer-plugins-base1.0-dev,
 
@@ -209,8 +209,7 @@
  libwine-dev:armhf (= ${binary:Version}) [arm64],
 Recommends:
  wine (= ${source:Version}),
- clang [arm64],
- g++ [!arm64],
+ g++,
 Conflicts:
  wine32-tools,
 Description: Windows API implementation - 64-bit developer tools
@@ -227,7 +226,7 @@
  ${misc:Depends},
  ${dlopen:Depends},
  ${shlibs:Depends},
- libz-mingw-w64,
+ libz-mingw-w64 (>= 1.2.11+dfsg-4),
 Recommends:
  ${dlopen:Recommends},
  libgl1-mesa-dri,
@@ -244,13 +243,11 @@
 Pre-Depends:
  ${misc:Pre-Depends},
 Breaks:
- wine (= 6.0.2~repack-3),
- wine (<< 4.7-2~),
+ wine (<< 6.9~repack-1~),
  wine32 (<< 4.7-2~),
  wine64 (<< 4.7-2~),
 Replaces:
- wine (= 6.0.2~repack-3),
- wine (<< 4.7-2~),
+ wine (<< 6.9~repack-1~),
  wine32 (<< 4.7-2~),
  wine64 (<< 4.7-2~),
 Description: Windows API implementation - library
@@ -260,6 +257,7 @@
 
 Package: libwine-dev
 Section: libdevel
+Multi-Arch: same
 Architecture: amd64 i386 armel armhf arm64
 Depends:
  ${misc:Depends},
@@ -282,7 +280,7 @@
 Depends:
  ${misc:Depends},
  wine,
- binfmt-support,
+ binfmt-support | systemd,
 Description: Register Wine as the interpreter for Windows executables
  Wine is a free MS-Windows API implementation.
  .
