=== debian/rules ===
--- 
+++ 
@@ -24,29 +24,20 @@
 # extra information to add to the version string
 export VENDOR=$(DEB_VENDOR) $(DEB_VERSION)
 
+# parse wine's cpu string from DEB_HOST_MULTIARCH
+export WINE_CPU=$(shell echo $(DEB_HOST_MULTIARCH) | cut -d- -f1)
+
 # enable verbose build log
 export DH_VERBOSE=1
 
-# indicate that binary targets do not require root (not supported in Stretch)
-ifeq (,$(findstring ~bpo9,$(DEB_VERSION)))
+# indicate that binary targets do not require root
 export DEB_RULES_REQUIRES_ROOT=no
-endif
-
-# enable hardening buildflags (fortify is not yet supported upstream and mingw does not yet support stackprotector)
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-fortify,-stackprotector
-
-# linker options
-export DEB_LDFLAGS_MAINT_APPEND+=-Wl,-rpath,/$(LIBDIR)
-
-# ignore array-bounds and packed-non-aligned warnings for now
-export DEB_CFLAGS_MAINT_APPEND+=-Wno-array-bounds -Wno-packed-not-aligned
-
-# ignore all defined but unused function warnings
-export DEB_CFLAGS_MAINT_APPEND+=-Wno-unused-function
+
+# enable hardening buildflags (fortify and LTO are not yet supported upstream, and mingw does not yet support stackprotector)
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-fortify,-stackprotector optimize=-lto
 
 # configure options
 CONFLAGS=--with-gnutls \
-         --without-hal \
          --without-oss \
          --without-sane \
          --without-netapi \
@@ -60,6 +51,9 @@
          --datarootdir=/$(DATDIR) \
          $(shell dpkg-buildflags --export=cmdline) \
 
+# ignore array bound warnings, not yet handled upstream
+export DEB_CFLAGS_MAINT_APPEND+=-Wno-array-bounds
+
 # enable wine64 on 64-bit architectures
 ifeq ($(DEB_HOST_ARCH_BITS), 64)
 CONFLAGS+=--enable-win64
@@ -69,29 +63,26 @@
 endif
 
 # build with mingw on intel architectures
-ifeq ($(DEB_HOST_ARCH), i386)
-CONFLAGS+=--with-mingw
-endif
-ifeq ($(DEB_HOST_ARCH), amd64)
-CONFLAGS+=--with-mingw
-endif
-
-# on armel build for armv6t2
+ifneq (,$(filter $(DEB_HOST_ARCH),i386 amd64))
+CONFLAGS+=--with-mingw ZLIB_PE_LIBS=z
+endif
+
+# build with soft float ABI and armv7-a instruction set on armel
 ifeq ($(DEB_HOST_ARCH), armel)
 CONFLAGS+=--with-float-abi=soft
-export DEB_CFLAGS_MAINT_APPEND+=-march=armv6t2 -Wno-array-parameter
-endif
-
-# warnings to ignore on armhf
+export DEB_CFLAGS_MAINT_APPEND+=-march=armv7-a -Wno-unused-function
+export DEB_LDFLAGS_MAINT_APPEND+=-march=armv7-a
+endif
+
+# build with hard float ABI on armhf
 ifeq ($(DEB_HOST_ARCH), armhf)
-export DEB_CFLAGS_MAINT_APPEND+=-Wno-array-parameter
-endif
-
-# on arm64 build using clang and ignore compiler warnings
+CONFLAGS+=--with-float-abi=hard
+export DEB_CFLAGS_MAINT_APPEND+=-Wno-unused-function
+endif
+
+# ignore unused function warnings on arm64
 ifeq ($(DEB_HOST_ARCH), arm64)
-export CC=clang
-export CXX=clang++
-export DEB_CFLAGS_MAINT_APPEND+=-Wno-error
+export DEB_CFLAGS_MAINT_APPEND+=-Wno-unused-function
 endif
 
 # use date of the latest changelog update as the build date
@@ -114,7 +105,7 @@
 	sed "s/VERSION/$(VERSION)/g;s/DEBSUFFIX/$(DEBSUFFIX)/g" < $< > $@
 
 debian/libwine$(VERSION)%: debian/libwineVERSION%
-	sed "s/VERSION/$(VERSION)/g;s/DEB_HOST_MULTIARCH/$(DEB_HOST_MULTIARCH)/g;s/DEB_HOST_GNU_CPU/$(DEB_HOST_GNU_CPU)/g" < $< > $@
+	sed "s/VERSION/$(VERSION)/g;s/DEB_HOST_MULTIARCH/$(DEB_HOST_MULTIARCH)/g;s/WINE_CPU/$(WINE_CPU)/g" < $< > $@
 
 debian/bug-control: debian/bug-control.in
 	sed s/VERSION/$(VERSION)/g < $< > $@
@@ -157,15 +148,20 @@
 	ln -sf ../../dlls/shell32/resources/optical_drive.svg dlls/comdlg32/cdrom.svg
 ifneq (,$(filter $(DEB_HOST_ARCH),i386 amd64))
 	# ensure system zlib files are used for i386 and amd64
-	rm -f dlls/*/zlib.h dlls/*/inflate.c dlls/*/deflate.c
+	rm -rf libs/zlib
 endif
 	# execute wine's configure script
 	./configure $(CONFLAGS)
 
 override_dh_auto_build-indep:
-	make -C libs/port
+	# only build fonts for the architecture-independent packages
 	make -C tools/sfnt2fon
 	make -C fonts
+
+override_dh_auto_build-arch:
+	# build wine's headers upfront to avoid incompatible mingw versions
+	make -C include
+	dh_auto_build
 
 override_dh_auto_test:
 	# disabled, there are currently too many failing tests
@@ -182,6 +178,7 @@
 	    rename=$$(basename $$file | sed "s/\\./$(DEBSUFFIX)./;s/UTF-8\\.//"); \
 	    mv $$file debian/tmp/$$rename || true; \
 	    done
+	# files to exclude from the architecture-independent packages
 	rm -f debian/tmp/usr/lib/*/wineserver
 	rm -f debian/tmp/notepad*.man debian/tmp/winemine*.man
 	rm -rf debian/tmp/usr/share/wine$(VERSION)/wine/nls
@@ -199,9 +196,7 @@
 ifeq ($(DEB_HOST_ARCH), i386)
 	echo >> debian/libwine$(VERSION).install
 	echo "# 16-bit windows PE files" >> debian/libwine$(VERSION).install
-	echo "debian/tmp/usr/lib/*/*/*.vxd" >> debian/libwine$(VERSION).install
-	echo "debian/tmp/usr/lib/*/*/*.dll16" >> debian/libwine$(VERSION).install
-	echo "debian/tmp/usr/lib/*/*/*.drv16" >> debian/libwine$(VERSION).install
-	echo "debian/tmp/usr/lib/*/*/*.exe16" >> debian/libwine$(VERSION).install
-	echo "debian/tmp/usr/lib/*/*/*.mod16" >> debian/libwine$(VERSION).install
-endif
+	echo "debian/tmp/usr/lib/*/*/*/*.vxd" >> debian/libwine$(VERSION).install
+	echo "debian/tmp/usr/lib/*/*/*/*.dll16" >> debian/libwine$(VERSION).install
+	echo "debian/tmp/usr/lib/*/*/*/*.drv16" >> debian/libwine$(VERSION).install
+	echo "debian/tmp/usr/lib/*/*/*/*.exe16" >> debian/libwine$(VERSION).install
