## wine 7.0.1~repack

=== debian/changelog ===
wine (7.0.1~repack-1) unstable; urgency=medium

  * New upstream release 7.0.1, released Nov 8, 2022.
  * Fix stringop overflow and overread warnings (closes: #1027111).
  * Import upstream fix for use after free in wineserver (closes: #1019253).

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 30 Dec 2022 06:15:52 +0000

wine (7.0~repack-11) unstable; urgency=medium

  * Update standards version to 4.6.2.
  * Support building with vulkan 1.3.231 and gcc-mingw 12 (closes: #1026489).

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 23 Dec 2022 05:09:01 +0000
