=== debian/control ===
--- 
+++ 
@@ -6,10 +6,9 @@
 Uploaders:
  Michael Gilbert <mgilbert@debian.org>,
  Stephen Kitt <skitt@debian.org>,
- Phil Morrell <emorrp1@debian.org>,
 Vcs-Git: https://salsa.debian.org/wine-team/wine.git
 Vcs-Browser: https://salsa.debian.org/wine-team/wine
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
