=== debian/rules ===
--- 
+++ 
@@ -59,7 +59,7 @@
 CONFLAGS+=--enable-win64
 # set "-Wno-format" (many format strings are not yet updated for 64-bit)
 export DEB_CFLAGS_MAINT_APPEND+=-Wno-format
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-fortify,-stackprotector,-format
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-fortify,-stackprotector,-format optimize=-lto
 endif
 
 # build with mingw on intel architectures
@@ -199,4 +199,3 @@
 	echo "debian/tmp/usr/lib/*/*/*/*.vxd" >> debian/libwine$(VERSION).install
 	echo "debian/tmp/usr/lib/*/*/*/*.dll16" >> debian/libwine$(VERSION).install
 	echo "debian/tmp/usr/lib/*/*/*/*.drv16" >> debian/libwine$(VERSION).install
-	echo "debian/tmp/usr/lib/*/*/*/*.exe16" >> debian/libwine$(VERSION).install
