## wine 8.0~rc1~repack

=== debian/changelog ===
wine (8.0~rc1~repack-1) unstable; urgency=medium

  * New upstream release 8.0-rc1, released Dec 9, 2022 (closes: #1028338).
    - Bundled vkd3d upgraded to version 1.6.
    - Vulkan and OpenGL thunking optimizations.
    - More support for print processors.
    - Improved joystick control panel.
    - Long types printf format conversion finished.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 10 Jan 2023 02:09:54 +0000

wine-development (7.22~repack-2) unstable; urgency=medium

  * Fix integer conversion warning.
  * Fix incorrect format strings on arm.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 07 Jan 2023 18:59:43 +0000

wine-development (7.22~repack-1) unstable; urgency=medium

  * New upstream release 7.22, released Nov 25, 2022.
    - 32-on-64 thunks for both Vulkan and OpenGL.
    - OpenLDAP library bundled and built as PE.
    - Support for the RAW print processor in WinPrint.
    - More progress on the long types printf format conversion.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 06 Jan 2023 23:06:28 +0000

wine-development (7.21~repack-2) unstable; urgency=medium

  * Fix build failure on amd64 (closes: #1028004).

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 06 Jan 2023 22:16:05 +0000

wine-development (7.21~repack-1) unstable; urgency=medium

  * New upstream release 7.21, released Nov 11, 2022.
    - OpenGL library converted to PE.
    - Support for multi-architecture PE builds.
    - More preparation work for Vulkan 32-on-64 support.
    - Support for creating import libraries without dlltool.
    - Locale data updates.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 01 Jan 2023 02:09:27 +0000

wine-development (7.20~repack-1) unstable; urgency=medium

  * New upstream release 7.20, released Oct 31, 2022.
    - Font linking improvements.
    - A number of fixes for exception unwinding.
    - Support for dumping EMF spool files in WineDump.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 31 Dec 2022 14:46:50 +0000

wine-development (7.19~repack-1) unstable; urgency=medium

  * New upstream release 7.19, released Oct 14, 2022.
    - Support for storing DOS attributes on disk.
    - Bundled vkd3d upgraded to version 1.5.
    - Support for MPEG-4 audio format.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 31 Dec 2022 07:06:16 +0000

wine-development (7.18~repack-1) unstable; urgency=medium

  * New upstream release 7.18, released Sep 23, 2022.
    - Async reader fixes in GStreamer support.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 30 Dec 2022 04:50:35 +0000

wine-development (7.17~repack-1) unstable; urgency=medium

  * New upstream release 7.17, released Sep 9, 2022.
    - High Unicode planes support in DirectWrite.
    - Some work towards Wow64 support in the Vulkan driver.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 29 Dec 2022 22:05:30 +0000

wine-development (7.16~repack-1) unstable; urgency=medium

  * New upstream release 7.16, released Aug 28, 2022.
    - Wow64 support in X11 driver.
    - Session storage in MSHTML.
    - Unicode regexp fixes in MSXML.
    - IME improvements in Edit control.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 29 Dec 2022 21:10:42 +0000

wine-development (7.15~repack-1) unstable; urgency=medium

  * New upstream release 7.15, released Aug 13, 2022.
    - Command lists in Direct2D.
    - RSA encryption.
    - Initial Wow64 thunking in WIN32U.
    - Optional support for colors in test output.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 29 Dec 2022 14:03:52 +0000

wine-development (7.14~repack-1) unstable; urgency=medium

  * New upstream release 7.14, released Jul 29, 2022.
    - More progress on syscall interface for USER32.
    - Improved font fallbacks in DirectWrite.
    - Some fixes for socket shutdowns.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 28 Dec 2022 04:36:41 +0000

wine-development (7.13~repack-1) unstable; urgency=medium

  * New upstream release 7.13, released Jul 15, 2022.
    - USB driver converted to PE.
    - Some theming improvements.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 28 Dec 2022 03:40:42 +0000

wine-development (7.12~repack-1) unstable; urgency=medium

  * New upstream release 7.12, released Jul 1, 2022.
    - Theming support for Qt5 applications.
    - Bundled vkd3d upgraded to version 1.4.
    - Improved effect support in Direct2D.
    - QWORD support in registry tools.
    - Various bug fixes.
  * Bundle unicode cldr (closes: #1021523).

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 23 Dec 2022 06:05:31 +0000

wine-development (7.11~repack-3) unstable; urgency=medium

  * Update standards to 4.6.2.
  * Depend on libxml-libxml-perl.
  * Disable link time optimization.
  * Support building with vulkan 1.3.231.
  * Support building with gcc-mingw-w64 12.
  * Ignore debian-news-entry-has-unknown-version lintian warning.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 18 Dec 2022 00:01:18 +0000

wine-development (7.11~repack-2) unstable; urgency=medium

  * Remove obsolete API.
  * Fix build failures on arm.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 09 Oct 2022 19:08:09 +0000

wine-development (7.11~repack-1) unstable; urgency=medium

  * New upstream release 7.11, released Jun 17, 2022.
    - Android driver converted to PE.
    - Zero-copy support with GStreamer.
    - High Unicode planes support in case mappings.
    - Various bug fixes.
  * Drop unnecessary dpkg version constraint.
  * Indicate vulkan >= 1.2.189.0 is required.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 09 Oct 2022 06:26:34 +0000

wine-development (7.10~repack-1) unstable; urgency=medium

  * New upstream release 7.10, released Jun 3, 2022.
    - Windows-compatible Unicode collation.

