## wine 8.0~rc2~repack

=== debian/changelog ===
wine (8.0~rc2~repack-1) unstable; urgency=medium

  * New upstream release 8.0-rc2, released Dec 21, 2022.

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 12 Jan 2023 18:03:15 +0000
