## wine 8.0~rc3~repack

=== debian/changelog ===
wine (8.0~rc3~repack-1) unstable; urgency=medium

  * New upstream release 8.0-rc3, released Jan 7, 2023.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 14 Jan 2023 12:54:04 +0000
