=== debian/control ===
--- 
+++ 
@@ -48,36 +48,25 @@
  libglu1-mesa-dev,
  libxcomposite-dev,
  libxml-libxml-perl,
- libjxr-dev,
- libpng-dev,
  libssl-dev,
  libv4l-dev,
  libsdl2-dev,
- libxml2-dev,
- libgsm1-dev,
- libjpeg-dev,
  libkrb5-dev,
- libtiff-dev,
  libudev-dev,
  libpulse-dev,
- liblcms2-dev,
  libldap2-dev,
- libxslt1-dev,
  unixodbc-dev,
  libcups2-dev,
- libvkd3d-dev (>= 1.2),
  libcapi20-dev,
  libvulkan-dev (>= 1.2.189.0),
- libfaudio-dev (>= 19.06.07),
  libopenal-dev,
  libdbus-1-dev,
  freeglut3-dev,
- libmpg123-dev,
  libunwind-dev,
+ libpcap0.8-dev,
  libasound2-dev,
  libgphoto2-dev,
  libosmesa6-dev,
- libpcap0.8-dev,
  libncurses-dev,
  libfreetype-dev,
  libgnutls28-dev,
